﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Docking;

namespace DockingWPF
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        public App()
        {
        }

        private void PinButton_Click(object sender, RoutedEventArgs e)
        {
            var toolWindow = (sender as RadButton).ParentOfType<ToolWindow>();
            var pane = toolWindow.FindChildByType<RadPane>();
            pane.RemoveFromParent();
            var docking = Application.Current.MainWindow.ChildrenOfType<RadDocking>().FirstOrDefault();
            if (docking != null)
            {
                RadPaneGroup radPaneGroup = new RadPaneGroup();
                radPaneGroup.Items.Add(pane);

                RadSplitContainer radSplitContainer = new RadSplitContainer() { InitialPosition = DockState.DockedLeft };
                radSplitContainer.Items.Add(radPaneGroup);

                docking.Items.Add(radSplitContainer);
            }
        }
    }
}
